package cn.com.countrygarden.bi.main.service;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.AccessToken;

import java.util.Map;


public interface AccessTokenService extends Service<AccessToken> {
    void insertOrUpdate(Map<String, String> accessToken);
    AccessToken getAccessToken(Map<String, String> accessToken);
    void updateAccessToken(Map<String, String> accessToken);
    AccessToken findByToken(String token);
    AccessToken findByUserCode(String userCode);
}
